.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
    box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
}

.assignment-cards {
    margin-bottom: 20px;
}

.file-no-browse {
    display: none;
}

.dropzone {
    min-height: 280.5px;
}

.dropzone.is-invalid {
    border-color: #DE3542;
}

.file-zoom-dialog {
    display: none;
}

.protocol-form_clone {
    position: absolute;
    top: 30px;
    right: 60px;
}

.assigment-update .form-group__header {
    justify-content: space-between;
}

.dz-filename {
    display: flex;
    align-items: center;
}

.dz-filename .file-delete-btn {
    background: transparent;
    cursor: pointer;
}

.dz-filename .file-delete-btn svg {
    cursor: inherit;
}

.dz-filename .file-caption-name-custom {
    margin-right: 1rem;
}

.form-group.is-invalid .select2-container .select2-selection--single,
.form-group.is-invalid .form-group__input {
    border-color: #DE3542;
}

.form-group.is-valid .select2-container .select2-selection--single,
.form-group.is-valid .form-group__input {
    border-color: #45BE81;
}

.alert {
    margin: 20px 0 0 0;
}

.alert.alert-success {
    color: #45BE81;
}

.status.in-dropdown {
    margin-left: 3px;
    padding: 4px 12px;
    min-height: auto;
    border-radius: 10px;
    background: #50abe0;
    color: white;
}

.file-default-preview .dz-preview {
    cursor: pointer;
}

.assigment-view .row-field {
    position: relative;
    padding: 0px 0 10px 0;
    margin-bottom: 10px;
}

.assigment-view .row-field:last-child::after,
.assigment-view [class*='row-value']:last-child::after {
    display: none;
}

.assigment-view .row-field:last-child,
.assigment-view [class*='row-value']:last-child {
    padding: 0;
    margin-bottom: 0;
}

.assigment-view .row-field::after,
.assigment-view [class*='row-value']::after {
    content: '';
    height: 1px;
    position: absolute;
    bottom: -1px;
    background: #EEEFF4;
    left: -24px;
    width: calc(100% + 48px);
}

.assigment-view .table-content__row ins {
    color: #45BE81;
}

.assigment-view .table-content__row del {
    color: #DE3542;
}

.popover ins {
    color: #45BE81;
}

.popover del {
    color: #DE3542;
}

.assigment-view [class*='row-value'] {
    position: relative;
    padding: 0px 0 10px 0;
    margin-bottom: 10px;
}

.hidden {
    display: none;
}

.align-right {
    text-align: right;
}

.alert.in-modal {
    font-size: 18px;
    margin-bottom: 20px;
    padding: 10px;
}

.alert.alert-error {
    color: #DE3542;
}

.assigment-update .title-2 {
    display: flex;
    align-items: center;
}

.title-back {
    display: flex;
    align-items: center;
}

.back-btn {
    display: inline-flex;
    align-items: center;
    min-width: auto;
    margin-right: 20px;
}

.profile-form-group {
    display: flex;
}

.update-profile-form {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(3, 1fr);
}

hr.profile-hr {
    border: none;
    border-top: 1px solid #D8DBE5;
    margin-top: 30px;
}

.profile-group-container {
    border: 1px solid #EEEFF4;
    border-radius: 8px;
    padding: 1rem;
    margin-bottom: 10px;
}

.profile-form-group .form-group:first-child {
    width: 50%;
    margin-right: 10px;
}

.profile-form-group .form-group:nth-child(2) {
    margin-right: 10px;
}

.profile-form-group .form-group:nth-child(2),
.profile-form-group .form-group:nth-child(3) {
    width: calc(25% - 10px);
}

.mr-40 {
    margin-right: 40px;
}

#pjax-vvod .filter__item,
#pjax-ipo .filter__item {
    margin-top: 16px;
}

.filter__item.tab-checkbox {
    margin-top: 0px;
}

.stat-panel-custom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
}

.card__top {
    display: block;
}

.stat-card__subtitle {
    color: #304174;
}

.mail-statistic {
    position: absolute;
    top: -8px;
    right: 0;
}

.mail-statistic .dropdown__body.show {
    z-index: 10000;
    left: -14px;
}

.stat-card {
    position: relative;
}

.mail-statistic .dropdown__triangle {
    left: 7%;
}

.stat-card__title {
    width: 90%;
}

.view-basis-buttons {
    -ms-flex-item-align: end;
    align-self: flex-end;
    margin-left: auto;
}

.mailing-card__btn {
    margin-right: 20px;
}

.assignments-detail-filter .filter__label {
    cursor: pointer;
}

.assignments-detail-filter .filter__item .form-control-custom {
    height: 0;
    display: block;
    overflow: hidden;
    transition: all 300ms;
}

.assignments-detail-filter .wrapping-label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    cursor: pointer;
}

.assignments-detail-filter .wrapping-label .dropdown__icon {
    transition: all 300ms;
}

.assignments-detail-filter .wrapping-label.opened .dropdown__icon {
    transform: rotate(180deg);
    transform-origin: 10px 10px;
}

.is-order-statistic {
    margin-left: 20px;
}

#modal-confirmation .modal-dialog {
    width: 800px;
}

#modal-confirmation .modal-dialog .modal-body {
    display: grid;
    gap: 24px 32px;
    grid-template-columns: repeat(2, 1fr);
}

#modal-confirmation .modal-dialog .row:nth-of-type(1) {
    grid-column: 1 / 3;
    grid-row: 1 / 1;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(2) {
    grid-column: 1 / 1;
    grid-row: 2 / 2;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(3) {
    grid-column: 2 / 2;
    grid-row: 2 / 2;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(4) {
    grid-column: 1 / 3;
    grid-row: 3 / 3;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(5) {
    grid-column: 1 / 3;
    grid-row: 4 / 4;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(6) {
    grid-column: 1 / 1;
    grid-row: 5 / 5;
}

#modal-confirmation .modal-dialog .form-group:nth-of-type(7) {
    grid-column: 2 / 2;
    grid-row: 5 / 5;
}

#modal-confirmation-agreement .modal-dialog {
    width: 600px;
}

#modal-confirmation-agreement .modal-dialog .modal-body {
    display: grid;
    gap: 24px 32px;
    grid-template-columns: repeat(2, 1fr);
}

#modal-confirmation-agreement .modal-dialog .form-group:nth-of-type(1) {
    grid-column: 1 / 3;
    grid-row: 1 / 1;
}

#modal-confirmation-agreement .modal-dialog .form-group:nth-of-type(2) {
    grid-column: 1 / 3;
    grid-row: 2 / 2;
}

.s2-select-label, .s2-unselect-label {
    cursor: pointer;
}

.reset-filter__btn {
    margin-top: 28px;
    margin-bottom: 7px;
    width: 100%;
    margin-left: 0px;
}

.form-group__input--multirow-6 {
    height: 135px
}

#feedback-modal .form-group {
    margin-bottom: 20px;
}

#feedback-modal .modal-dialog {
    width: 700px;
}

.input-group.date {
    display: flex;
}

.input-group .input-group-addon {
    border-radius: 0;
    border-color: #EEEFF4;
    background-color: #fff;
}

.input-group .input-group-addon:nth-child(1) {
    border-radius: 8px 0 0 8px;
    border-right: none;
}

.input-group-addon {
    padding: 12px 12px 0 12px;
    position: relative;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    color: #555555;
    text-align: center;
    background-color: #eeeeee;
    border: 1px solid #EEEFF4;
    border-radius: 4px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
}

.input-group-addon, .input-group-btn {
    width: 55px;
    height: 46px;
    white-space: nowrap;
    vertical-align: middle;
}

.input-group.date .form-group__input {
    width: 100%;
}

.input-group.date .form-group__input {
    border-left: none;
    border-radius: 0 8px 8px 0;
}

.input-group-addon:has(~ .form-group__input:hover),
.input-group-addon:has(~ .form-group__input:focus) {
    border-color: #919AB5;
}

.dropdown__link {
    white-space: nowrap;
}

.fileinput-remove-button {
    position: absolute;
    top: 20px;
    right: 20px;
    display: inline-block;
    z-index: 1000000;
    min-width: auto;
    min-height: auto;
    padding: 0;
    border-radius: 0;
    border: none;
}

.form-group--dropzone {
    position: relative;
}

.table.protocol-table td {
    padding: 10px;
    font-size: 13px;
}

.table.protocol-table th {
    padding: 24px 10px;
}

.table.protocol-table th:nth-of-type(4) a {
    display: block;
    max-width: 140px;
}

.table.protocol-table th:nth-of-type(7) a {
    display: block;
    max-width: 140px;
}

.table.protocol-table tr td:nth-of-type(1) {
    min-width: 80px;
}

.table.protocol-table tr td:nth-of-type(2) {
    min-width: 280px;
}

.table.protocol-table tr td:nth-of-type(4) {
    min-width: 180px;
    width: 180px;
}

.table.protocol-table tr td:nth-of-type(4) .select2.select2-container {
    width: 100%;
    max-width: 180px !important;
}

.table.protocol-table tr td:nth-of-type(5) {
    min-width: 200px;
    max-width: 200px;
}

.table.protocol-table tr td:nth-of-type(5) .select2.select2-container {
    width: 100%;
    max-width: 200px !important;
}

.table.protocol-table tr td:nth-of-type(6) {
    min-width: 10px;
    text-align: center;
    vertical-align: middle;
}

.table.protocol-table tr td:nth-of-type(7) {
    min-width: 150px;
}

.table.protocol-table tr td:nth-of-type(7) .select2.select2-container {
    width: 100%;
    max-width: 150px !important;
}

.table.protocol-table tr td:nth-of-type(9) {
    min-width: 150px;
}

.table.protocol-table tr td:nth-of-type(9) .select2.select2-container {
    width: 100%;
    max-width: 150px !important;
}

.table.protocol-table tr td:nth-of-type(10),
.table.protocol-table tr td:nth-of-type(11) {
    min-width: 150px;
}


.table.protocol-table .select2-container--default .select2-selection--single .select2-selection__arrow {
    right: 8px;
}

.btn-scroll {
    min-height: auto;
    padding: 0;
    min-width: 50px;
    position: fixed;
    margin-left: 100px;
    background: #FFFFFF;
    display: none;
    z-index: 100000;
}

.btn-scroll.top {
    top: 85px;
}

.btn-scroll.bottom {
    bottom: 10px;
}

.assignments-detail-filter {
    width: 250px
}

body {
    height: auto;
}

.assignments-filter-form {
    position: sticky;
    top: 112px;
}

.assignment-top-wrapper {
    position: sticky;
    top: 70px;
    background: #F5F6F8;
    padding-top: 24px;
    border-radius: 0 0 12px 12px;
}

.assignment-top {
    margin-bottom: 0;
}

.assignment-cards-page {
    margin-top: 20px;
    margin-bottom: 0;
}

.assignment-stat-panel {
    margin-bottom: 0;
}

.basis_link_info {
    text-decoration: underline;
}

.popover-dismiss {
    cursor: pointer;
    display: inline-block;
}

#pjax-exec {
    margin-top: 16px;
}